Why my angry bird cannot play on windows 7

please help me
when i want to run my angry bird it said:openGL1.3,1.4,2.0 is not supported,i tried to update my drive and i did it but nothing happens.
please help me as soon as pusible
2 answers Last reply
More about angry bird play windows
  1. are you running it as a native chrome app inside of google chrome?
  2. Please update the drivers that SUPPORTS OpenGL 1.3 either, 1.4, or 2.0.
Ask a new question

Read More

Drivers Windows 7